%{?nodejs_find_provides_and_requires}

%global packagename coffeeify
%global enable_tests 0

Name: nodejs-%{packagename}
Version: 0.6.0
Release: 1%{?dist}.3
Summary: browserify v2 plugin for coffee-script with support for mixed .js and .coffee files
License: MIT
URL: https://github.com/jnordberg/coffeeify
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(coffee-script) >= 1.7.0
BuildRequires: npm(coffee-script) < 2.0.0
BuildRequires: npm(convert-source-map) >= 0.3.3
BuildRequires: npm(through) >= 2.3.4
BuildRequires: npm(through) < 2.4.0
%if 0%{?enable_tests}
BuildRequires: npm(browserify) >= 3.24.6
BuildRequires: npm(tap) >= 0.4.0
BuildRequires: npm(tap) < 0.5.0
%endif

%description
CoffeeScript browserify transform.
Mix and match .coffee and .js files in the same project.


%prep
%setup -q -n package
%nodejs_fixdep coffee-script '^1.7.0'
%nodejs_fixdep convert-source-map '>=0.3.3'
%nodejs_fixdep --dev browserify '>=3.24.6'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Oct  3 2016 Oleg Girko <ol@infoserver.lv> - 0.6.0-1
- Initial package.
